/*
 * Copyright (c) 2018, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * WSO2 Inc. licenses this file to you under the Apache License,
 * Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.wso2.testgrid.tinkerer.exception;

import org.wso2.testgrid.common.exception.TestGridException;

/**
 * Indicates an error has occurred when performing a tinkerer operation
 *
 * @since 1.0.0
 *
 */
public class TinkererOperationException extends TestGridException {

    /**
     * Constructs a new exception with the specified detail message.
     *
     * @param message the detail message of the exception
     */
    public TinkererOperationException(String message) {
        super(message);
    }

    /**
     * Constructs a new exception with the message provided and the cause.
     *
     * @param message the detailed message of the exception
     * @param cause   the cause of the exception
     */
    public TinkererOperationException(String message, Throwable cause) {
        super(message, cause);
    }
}
